Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos.capabilities
Class SOSCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.owscommon.OWSCommonCapabilities
              org.deegree.ogcwebservices.sos.capabilities.SOSCapabilities

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SOSConfiguration

    public class SOSCapabilities

extends OWSCommonCapabilities

Represents the SOS Capabilities

Version:
  1.0
Author:
  Matthias Kulbe
See Also:
  Serialized Form

Constructor Summary
`SOSCapabilities(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, OperationsMetadata operationsMetadata, Contents contents, ArrayList<Platform> platformList, ArrayList<Sensor> sensorList)`

Method Summary
`static OGCCapabilities` | `createCapabilities(URL url)` createCapabilities
`ArrayList<Platform>` | `getPlatformList()`
`ArrayList<Sensor>` | `getSensorList()`

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilities
`getContents, getOperationsMetadata, getServiceIdentification, getServiceProvider, setContents, setOperationsMetadata, setServiceIdentification, setServiceProvider`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOSCapabilities

    public SOSCapabilities(String version,
                           String updateSequence,
                           ServiceIdentification serviceIdentification,
                           ServiceProvider serviceProvider,
                           OperationsMetadata operationsMetadata,
                           Contents contents,
                           ArrayList<Platform> platformList,
                           ArrayList<Sensor> sensorList)

Parameters:
  `version` -
  `updateSequence` -
  `serviceIdentification` -
  `serviceProvider` -
  `operationsMetadata` -
  `contents` -
  `platformList` -
  `sensorList` -

Method Detail

### createCapabilities

    public static OGCCapabilities createCapabilities(URL url)
                                              throws IOException,
                                                     SAXException,
                                                     InvalidCapabilitiesException

  createCapabilities

  Parameters:
    `url` -
  Returns:
    the new instance
  Throws:
    `IOException`
    `SAXException`
    `InvalidCapabilitiesException`

### getSensorList

    public ArrayList<Sensor> getSensorList()

  Returns:
    sensorList

### getPlatformList

    public ArrayList<Platform> getPlatformList()

  Returns:
    platformList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org